Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 154897 - Missing character for name of Persian
Summary: Missing character for name of Persian
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Mike McLean
URL:
Whiteboard: bzcl34nup
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-14 19:11 UTC by David Zeuthen
Modified: 2013-03-06 03:43 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-05-07 00:08:34 UTC


Attachments (Terms of Use)

Description David Zeuthen 2005-04-14 19:11:56 UTC
Description of problem:

Anaconda doesn't have Unicode character 0x06cc: Û

So it appears as a box with 06cc inside.
 
Version-Release number of selected component (if applicable):

From FC4test2

How reproducible:

Always

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Jeremy Katz 2005-04-14 21:27:39 UTC
Do you know if that font is in any of our font packages?  Can you provide a
screenshot of where it's missing?

Comment 2 David Zeuthen 2005-04-14 21:54:14 UTC
It's missing in the screen where you select the language used for installation, e.g.

 English (english)
 Danish (dansk)
 Swedish (svensk)
 
 e.g. <english name of locale>  (<localized name for locale>)

I don't know what font it stems from (Owen would maybe know?) but that font is
installed in my "Workstation" class install of FC4t2

Comment 3 Jeremy Katz 2005-04-25 21:08:18 UTC
Okay, it's coming up fine in test mode too.  Which means we're probably missing
the exact font it's coming from.  We include
  /usr/share/fonts/arabic/KacstFarsi.ttf
  /usr/share/fonts/arabic/KacstQura.ttf
which at least used to be enough.  And looking at /etc/fonts/fonts.conf, I'm not
seeing any others listed.  Owen -- is this glyph coming from something other
than those fonts?

Comment 4 Jeremy Katz 2005-04-27 20:10:47 UTC
Behdad --
Do you have a suggestion for a font we should be shipping for this?  According
to Owen, `fc-list :lang=fa` seems not to give any of the fonts we ship on a FC3
install

Comment 5 Behdad Esfahbod 2005-04-27 23:01:36 UTC
Jeremy,
Like you said, there's no font shipped with FC3 that supports Persian.
In my opinion, the fonts-arabic package that ships these Kacst fonts needs to be
cleaned up, such that the package description does to refer to the Kacst fonts
at all, so we can add/remove fonts from different vendors without need to change
strings.  The fonts I have in mind are from the FarsiWeb project:

  http://www.farsiweb.info/wiki/Products/PersianFonts

They have a pack of fonts, not all need to be included.  A serif and a sanssarif
would suffice for now.  The main problem is that the fonts there have poor
embedded bitmaps and they also have Latin glyphs.  Embedded bitmaps can be
turned off, but Latin glyphs need to be removed.  I'm working on a fontconfig
configuration file for them too, to support common Persian font names.  What is
the plan/timeframe you have in mind for such inclusion?

Comment 6 Matthew Miller 2007-04-06 15:15:09 UTC
Fedora Core 3 and Fedora Core 4 are no longer supported. If you could retest
this issue on a current release or on the latest development / test version, we
would appreciate that. Otherwise, this bug will be marked as CANTFIX one month
from now. Thanks for your help and for your patience.


Comment 7 Behdad Esfahbod 2007-04-08 22:20:16 UTC
There's still no suitable font for Persian in Fedora...

Comment 8 Red Hat Bugzilla 2007-06-12 02:50:06 UTC
requested by Jams Antill

Comment 9 Bug Zapper 2008-04-03 16:05:24 UTC
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

Comment 10 Bug Zapper 2008-05-07 00:08:32 UTC
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp


Note You need to log in before you can comment on or make changes to this bug.